lkml.org 
[lkml]   [2015]   [Jan]   [30]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH v8 0/2] Imagination Technologies PWM support
On Fri, Jan 30, 2015 at 11:08:46AM +0000, Andrew Bresticker wrote:
> +linux-mips
>
> On Fri, Jan 30, 2015 at 10:26 AM, Thierry Reding
> <thierry.reding@gmail.com> wrote:
> > On Fri, Jan 30, 2015 at 09:50:46AM +0000, Andrew Bresticker wrote:
> >> > Also you're making it especially difficult to build-test by not
> >> > providing even the basic bits of your SoC support first. All even
> >> > linux-next seems to have for the Pistachio SoC is the addition of a
> >> > compatible string to the dw-mmc driver.
> >> >
> >> > I'll take the PWM driver, but I'll assume that you'll eventually have
> >> > more pieces available, in which case I'd appreciate a note so I can
> >> > update my build scripts.
> >>
> >> FYI, I'm hoping to post Pistachio platform support for 3.21.
> >
> > That'd be great. I can switch over to a proper defconfig then and not
> > jump through extra hoops to build test patches.
> >
> > Also, I'm seeing a bunch of weird errors from building MIPS, mostly
> > things like this:
> >
> > CC net/ipv4/netfilter/arp_tables.mod.o
> > {standard input}: Assembler messages:
> > {standard input}: Warning: .gnu_attribute 4,3 requires `softfloat'
> >
> > or this later on:
> >
> > mips-linux-gnu-ld: Warning: vmlinuz uses -mhard-float (set by arch/mips/boot/compressed/head.o), arch/mips/boot/compressed/decompress.o uses -msoft-float
> >
> > This is essentially a gpr_defconfig (because it select MIPS_ALCHEMY,
> > which in turns pulls in COMMON_CLK that PWM_IMG depends on) and then
> > enabling MFD_SYSCON on top so that all dependencies are met.
> >
> > What am I doing wrong?
>
> What version of binutils are you using? I believe the latter error
> should be fixed by commit 842dfc11ea9a ("MIPS: Fix build with binutils
> 2.24.51+"), but perhaps the decompressor Makefile requires a fix as
> well? Unfortunately I'm traveling for the next couple of days, but I
> may be able to take a look at it on Monday.

I use binutils 2.25, and indeed building the correct branch gets rid of
those errors. Sorry for the noise.

Thierry
[unhandled content-type:application/pgp-signature]
\
 
 \ /
  Last update: 2015-01-30 12:21    [W:0.046 / U:11.496 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site